{% extends 'back_office_components/base.html' %} {% block styles %} {{ super()
}} {% endblock %} {% block app_content %}
<div class="panel panel-default">
    <div class="panel-body">
        <div class="row">
            <div class="col-lg-12 table-responsive">
                <table id="table_id" class="table table-striped table-bordered" style="width: 100%;">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>{{ _('Transaction ID')  }}</th>
                            <th>{{ _('Serve By') }}</th>
                            <th>{{ _('Transaction Time') }}</th>
                            <th>{{ _('Total Quatity') }}</th>
                            <th>{{ _('Total Price') }}</th>
                            <th>{{ _('Total Profit') }}</th>
                            <th>{{ _('Items') }}</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for sales in sales %}
                        <tr>
                            <td>{{ loop.index }}</td>
                            <td>{{ sales.sales_id  }}</td>
                            <td>{{ sales.user.username  }}</td>
                            <td>{{ moment(sales.created_at).format('LLL') }}</td>
                            <td>{{ sales.total_qty }}</td>
                            <td>Rp. {{ sales.total_price | currency_format }}</td>
                            <td>Rp. {{ sales.total_profit | currency_format }}</td>
                            <td>
                                <a class="btn btn-xs btn-info"
                                   href="{{ url_for('.items_transaction', id=sales.sales_id) }}">{{ _('Detail') }}</a>
                            </td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
{% endblock %} {% block scripts %} {{ super() }}
<script type="text/javascript">
    /* DataTables */
    $(document).ready(function () {
        var table = $("#table_id").DataTable({
            lengthChange: false,
            buttons: ["copy", "excel", "pdf", "print"],
        });
        table.buttons().container().appendTo("#table_id_wrapper .col-sm-6:eq(0)");
    });
</script>
{% endblock %}
